Revoke MCP registry gateway token
Create or remove a user-local Forge MCP registry install and mint or revoke the gateway token used by local clients.
POST
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
mcp-registry
/
{itemRef}
/
tokens
/
{tokenId}
/
revoke
Revoke MCP registry gateway token
curl --request POST \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tokens": [
{
"id": "<string>",
"tokenPrefix": "<string>",
"scopes": [
"mcp:connect"
],
"clientId": "<string>",
"clientName": "<string>",
"registryItemId": "<string>",
"subjectKind": "user",
"subjectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokeReason": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Enter a Forge service-account token or delegated OAuth access token. Mintlify adds the Bearer prefix.
Path Parameters
Readable MCP registry slug or item identifier.
Response
Revoked gateway token metadata; plaintext is never returned.
Show child attributes
Show child attributes
⌘I
Revoke MCP registry gateway token
curl --request POST \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/mcp-registry/{itemRef}/tokens/{tokenId}/revoke"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tokens": [
{
"id": "<string>",
"tokenPrefix": "<string>",
"scopes": [
"mcp:connect"
],
"clientId": "<string>",
"clientName": "<string>",
"registryItemId": "<string>",
"subjectKind": "user",
"subjectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokeReason": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}